PNFSDSKILL(8)

NAME
pnfsdskill - disables a pNFS data storage server (DS)

SYNOPSIS
pnfsdskill [-f] mounted-on-DS-dir

DESCRIPTION
The pnfsdskill command disables one DS when mirroring is enabled. If one mirrored DS is malfunctioning, a system administrator may use this command on the metadata server (MDS) to disable use of this mirror. This command must be used on the MDS and the mounted-on-DS-dir must be the exact pathname used when mounting the DS on the MDS. Normally this command will fail if there is no valid mirror for the DS available.

The following option is available:

-f  This option forces the DS to be disabled even if there is no valid mirror for the DS available. It should only be used to allow the nfsd(8) threads to be terminated.

If this command fails with “Device not configured” (ENXIO), it probably means that the DS has already been disabled due to an error either detected by the MDS or reported to the MDS by a client.

The pNFS service should continue to run normally so long as the number of operational DSs is at least as many as the level of mirroring.

SEE ALSO
nfsv4(4), pnfs(4), nfsd(8), pnfsdscopymr(8), pnfsdsfile(8)

HISTORY
The pnfsdskill command first appeared in FreeBSD 12.0.